/**
 * Copyright (c) 2000-2011 Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.testevent.portlet;

import com.liferay.portal.kernel.util.Validator;

import java.io.IOException;
import java.io.PrintWriter;

import java.util.HashMap;

import javax.portlet.Event;
import javax.portlet.EventRequest;
import javax.portlet.EventResponse;
import javax.portlet.GenericPortlet;
import javax.portlet.RenderRequest;
import javax.portlet.RenderResponse;

/**
 * @author Shinn Lok
 */
public class EventConsumer extends GenericPortlet {

	@Override
	public void processEvent(
		EventRequest eventRequest, EventResponse eventResponse) {

		Event event = eventRequest.getEvent();

		HashMap<String, String> hashMap =
			(HashMap<String, String>)event.getValue();

		String value = hashMap.get("hello");

		if (Validator.equals(value, "world")) {
			_result = true;
		}
		else {
			_result = false;
		}
	}

	@Override
	public void doView(RenderRequest request, RenderResponse response)
		throws IOException {

		if (_result == null) {
			return;
		}

		PrintWriter printWriter = response.getWriter();

		if (_result) {
			printWriter.write("PASSED");
		}
		else {
			printWriter.write("FAILED");
		}

		printWriter.close();
	}

	private Boolean _result;

}